var stepBack = new Array(); 
document.addEventListener("deviceready", onDeviceReady, false);
var windowHeight = $(window).height();
var latitude='41.796544';
var longitude='44.771991';

function onDeviceReady() {     
   //navigator.geolocation.getCurrentPosition(onSuccess, onError);
     updateCoord();
    $("#srch").geokbd();
    $("#home-page").css({'height':windowHeight+'px','max-width':'700px'});
	$('.menu li, .main_menu li').click(function(){	
         var menuUrl = $(this).data("url");
		$('.wrapper').find('.search-head, #home-page').css('display','none');
		$('.wrapper').find('.content, #pages').css('display','block');
		$('.menu').find('li.active').removeClass('active');
		$(this).addClass('active');	
        getPageCont(menuUrl);

        return false;
	});	

	$('#search-button').click(function(){ $('.wrapper').find('.search-head').css('display','block');
	  $('.wrapper').find('#change-me, #map_canvas').html(''); $('.menu').find('li.active').removeClass('active');$("#page-title").html("ძიება");  });	

	$('#home').click(function(){  showHomePage();  });
    
    
    $("#back").click(function(){		
	      	getBack();
    }); 

	document.addEventListener("backbutton", function(e){
		    e.preventDefault();
		    getBack();
		    return false;
		}, true); 	
}

function changeHM(name){
	alert(name);
	$(".viewas").removeClass("cur");
	$("."+name).addClass("cur");
}

function showHomePage(){ 
  stepBack.push("home");
	$('#pages').css('display','none');
	$('#home-page').css('display','block');
 }

function getBack(){
   // if($.mobile.activePage.is('#home-page')){  navigator.app.exitApp(); }
	lastUrl = stepBack.pop();
	if(lastUrl=='home' || lastUrl==''){ navigator.app.exitApp(); return; }
	nUrl = stepBack.pop();
	$('.wrapper').find('.search-head').css('display','none');
	getPageCont(nUrl);
}

function getPageCont(uri,stb) { 
      // alert("hhh");
        
		checkConnection();
      
		$("#map_canvas").hide();
		
		$("#change-me").html('<div id="loading">&nbsp;</div>');        
		
		var host =  "http://app.neopharm.ge/";
		
		if(!uri){ showHomePage(); return; }       
		if(!stb){ stepBack.push(uri);  }


        uri+= "&lat="+latitude+"&lgt="+longitude;
        
		    var pageHtmlString = "";    

        $.getJSON(host+uri,function(data){  
		    if(data.type){
		    	var title = $('.menu li.'+data.type).data("title");
            
		      $("#page-title").html(title);

				$('.menu').find('li.active').removeClass('active');
				$('.menu').find('li.'+data.type).addClass('active');
	 
            }

            $("#change-me").html(data.htm);            
		   
        }); //getjson         
			          
}
function updateCoord(){

  if (navigator.geolocation) {
      navigator.geolocation.watchPosition(
        onSuccess, 
        onError,
        { enableHighAccuracy: false, timeout: 5000, maximumAge: 0 }
      );
    }
    else {
      alert("Geolocation is not supported");
    }
} 
function onSuccess(position) {
       latitude = position.coords.latitude;
       longitude = position.coords.longitude;
      
       //alert(latitude+'-'+longitude);
    }
// onError Callback receives a PositionError object
//
function onError(error) {
    alert('code: '    + error.code    + '\n' +
          'message: ' + error.message + '\n');
}

function checkConnection(){
	var connectionStatus = navigator.onLine ? 'online' : 'offline';
	if(connectionStatus=="offline"){ navigator.notification.alert('გთხოვთ შეამოწმოთ ინტერნეტთან კავშირი'); return; }
}


/* converter */
$.fn.geokbd = function() {
	symbols = "abgdevzTiklmnopJrstufqRySCcZwWxjh";
	$(this).keypress(
		function(e) {
					if ((index = symbols.indexOf(String.fromCharCode(e.keyCode))) >= 0) {
						ret = String.fromCharCode(index + 4304);
							this.focus();
							
							var s = getInputSelection(this);

							start = s.start, 
							end = s.end;
							

							var value = this.value.substring(0, start)	+ ret + this.value.substring(end,this.value.length);

							this.value = value;
							this.selectionStart = this.selectionEnd = start	+ ret.length;
							
							return false;
						}
					}
		);
}


function getInputSelection(el) {
    var start = 0, end = 0, normalizedValue, range,
        textInputRange, len, endRange;

    if (typeof el.selectionStart == "number" && typeof el.selectionEnd == "number") {
        start = el.selectionStart;
        end = el.selectionEnd;
    } else {
        range = document.selection.createRange();

        if (range && range.parentElement() == el) {
            len = el.value.length;
            normalizedValue = el.value.replace(/\r\n/g, "\n");

            // Create a working TextRange that lives only in the input
            textInputRange = el.createTextRange();
            textInputRange.moveToBookmark(range.getBookmark());

            // Check if the start and end of the selection are at the very end
            // of the input, since moveStart/moveEnd doesn't return what we want
            // in those cases
            endRange = el.createTextRange();
            endRange.collapse(false);

            if (textInputRange.compareEndPoints("StartToEnd", endRange) > -1) {
                start = end = len;
            } else {
                start = -textInputRange.moveStart("character", -len);
                start += normalizedValue.slice(0, start).split("\n").length - 1;

                if (textInputRange.compareEndPoints("EndToEnd", endRange) > -1) {
                    end = len;
                } else {
                    end = -textInputRange.moveEnd("character", -len);
                    end += normalizedValue.slice(0, end).split("\n").length - 1;
                }
            }
        }
    }

    return {
        start: start,
        end: end
    };
} /* Converter by Ika Pkhakadze */

